# Placeholders

{% hint style="warning" %}
Placeholders are only available if you have [PlaceholderAPI](https://www.spigotmc.org/resources/placeholderapi.6245/) enabled on your server.
{% endhint %}

There is the list of the placeholders our bukkit plugin provides:

<table><thead><tr><th width="279">Placeholder</th><th>Description</th></tr></thead><tbody><tr><td>%playerpoof_real_players%</td><td>Online players count without virtual players.</td></tr><tr><td>%playerpoof_poofed_players%</td><td>Online virtual players count on the current server.</td></tr><tr><td>%playerpoof_total_players%</td><td>Total online players count (virtual + real).</td></tr><tr><td>%playerpoof_network_poofed_players%</td><td>Online virtual players count on your whole network.</td></tr><tr><td>%playerpoof_network_real_players%</td><td>Online real players count on your whole network.</td></tr><tr><td>%playerpoof_network_total_players%</td><td>Online real + virtual players count on your whole network.</td></tr><tr><td>%playerpoof_server_[name]_poofed%</td><td>Virtual players count on a specific server.</td></tr><tr><td>%playerpoof_server_[name]_real%</td><td>Real players count on a specific server.</td></tr><tr><td>%playerpoof_server_[name]_total%</td><td>Real + virtual players count on a specific server.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.playerpoof.com/playerpoof/basics/placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
